#pragma once

#include "stdafx.h"

class Particle
{
public:
	float v;
	int r,g,b,rv,gv,bv,px,py;
	double x,y,vx,vy,lf;
	int width,sd,CW,CH;
	Particle(int speed,int lifetime,int w,int X,int Y,int Angle,int R,int G,int B,int Rv,int Gv,int Bv,float val = 1,int W = VsW,int H = VsH,int id = 0,int Px = 0,int Py = 0);
	~Particle(void);
	void Update(double speed);
	void Draw(ALLEGRO_BITMAP* bmp);
	void Draw();
	static std::list<Particle*> Particlesystem;
	static void UpdateAll(double speed);
	static void DrawAll();
};

void createparticles(int anz,int speed,double lifetime,int w,int X,int Y,int Angle,int R,int G,int B,int Rv,int Gv,int Bv);

bool OutOfField(int x,int y,int w,int h);
bool OutOfScreen(int x,int y,int w,int h);
float Pos(float f);
int MIN(int a,int b);
float qdr(float f);